Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2011-08-24 Assigned To: Christopher Hlubek
Updated: 2011-08-31 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Make generic persistence follow new paradigms
Description

This means:

    -  persist only after update() has been called
    -  dirty check only instances given to update()

Associated revisions
Revision afe640d9 - 2011-08-31 10:44 - Christopher Hlubek

[TASK] Make generic persistence follow new paradigms

This change fixes the introduces changedObjects properties by adding
an additional collection and changes the abstract backend to ignore
nested reconstituted aggregate root objects when processing an
object.

Change-Id: I6c359803e740ca8e29213557344da21680f8accf
Resolves: #29201

History
#1 - 2011-08-26 16:15 - Karsten Dambekalns
- Target version changed from 1.0 beta 1 to 1.0 beta 2
- Parent task deleted (#28486)

#2 - 2011-08-31 10:15 - Karsten Dambekalns
- Assigned To changed from Karsten Dambekalns to Christopher Hlubek

#3 - 2011-08-31 10:44 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 2 of change I6c359803e740ca8e29213557344da21680f8accf has been pushed to the review server.
It is available at http://review.typo3.org/4698

#4 - 2011-08-31 17:06 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:afe640d9ed35d1e005aabac542ee0824c007b50c.
